﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
        <OutputType>Exe</OutputType>
        <TargetFrameworks>net6.0;net8.0</TargetFrameworks>
        <RootNamespace>Tecan.Sila2.Interop.Client</RootNamespace>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
        <OutputPath>..\..\Build\Interop\Client</OutputPath>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <OutputPath>..\..\Build\Interop\Client</OutputPath>
    </PropertyGroup>

    <ItemGroup>
        <Compile Include="..\..\CommonAssemblyInfo.cs" Link="Properties\CommonAssemblyInfo.cs" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="NUnit" Version="3.13.3" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\Annotations\Annotations.csproj" />
        <ProjectReference Include="..\..\Client\Client.csproj" />
        <ProjectReference Include="..\..\Contracts\Contracts.csproj" />
        <ProjectReference Include="..\..\DynamicClient\DynamicClient.csproj" />
        <ProjectReference Include="..\..\Features\Authentication.Client\Authentication.Client.csproj" />
        <ProjectReference Include="..\..\Framework\Framework.csproj" />
    </ItemGroup>

</Project>
